Bug 118743 - Xscreensaver doesn't blank
Xscreensaver doesn't blank
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
  Show dependency treegraph
Reported: 2004-03-19 13:38 EST by Daniel Malmgren
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-05 06:43:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Malmgren 2004-03-19 13:38:48 EST
Description of problem:
After upgrading from XFree86 to xorg xscreensaver doesn't work anymore

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Don't touch the computer for a while
Actual results:
The screen is never blanked

Expected results:
The screen should be blanked after configured amount of time

Additional info:
I had to change my mouse from using /dev/psaux to /dev/input/mice
because it went crazy using /dev/psaux when upgrading to xorg. Using
home rolled 2.6.3 kernel.
Comment 1 Daniel Malmgren 2004-03-19 15:09:49 EST
Correction: It isn't 100%, it just seems to happen sometimes.

Running in verbose mode I get complaints about there being no keyboard
or mouse data in /proc/interrupts. I also get the following error:
XF86MiscSetGrabKeysState(1) returned MiscExtGrabStateAlready. Don't
know what's relevant...
Comment 2 Rudi Chiarito 2004-03-19 19:22:52 EST
This is has started happening to me as of yesterday as well. I am using
the latest xorg-x11 with the latest kernel from Raw Hide. This is on an
i865G P4 system with a GeForce MX 440 AGP card (stock nv module). If
left "blanking" for long periods of time, not only it doesn't activate
DPMS, it doesn't unblank to normal operation, either. I can log into
the box, though, and kill X. chvt will just hang, until I suspend or
kill it, and vt7 will remain the current console.

Let me know if there's anything else I can try to pin down the problem.
Comment 3 Daniel Malmgren 2004-03-26 13:37:43 EST
I've detected another thing that may be related. Since installing xorg
sometimes (while I'm actively using my computer) my monitor switches
off (showing a "no input" message, exactly like when dpms:ing off) and
as soon as I touch mouse or keyboard it switches on again. This
doesn't happen when xscreensaver is deactivated, so it seems that
sometimes xscreensaver thinks I haven't touched my computer in half an
hour even though it's sometimes less than half a minute since last input.

It simply seems that there's some bug in the way xorg is feeding
screensaver idle data...
Comment 4 Daniel Malmgren 2004-04-30 10:57:42 EDT
I haven't had any problems with this in the last month or so. Guess
things were fixed in xorg. Is it ok to close it?
Comment 5 Chris Kuivenhoven 2004-09-04 17:28:41 EDT
I also have not seen any problems with this in rawhide, and no one
else has mentioned any problems. Go ahead and close this, Daniel.

-Chris Kuivenhoven

Note You need to log in before you can comment on or make changes to this bug.